/*******************************************************************************
 * Copyright (C) 2005-2013 Alfresco Software Limited.
 * 
 * This file is part of the Alfresco Mobile SDK.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *  http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 ******************************************************************************/
package org.alfresco.mobile.android.api.constants;

/**
 * Provides all constants necessary used by Alfresco Public API. <br/>
 * Generally it's used for parsing data (json, atompub xml).
 * 
 * @since 1.3
 * @author Jean Marie Pascal
 */
public interface PublicAPIConstant extends OnPremiseConstant
{
    // EDITION
    String ALFRESCO_EDITION = "Alfresco OnPremise Public API";

    // JSON LIST
    String LIST_VALUE = "list";

    String PAGINATION_VALUE = "pagination";

    String COUNT_VALUE = "count";

    String HAS_MORE_ITEMS_VALUE = "hasMoreItems";

    String TOTAL_ITEMS_VALUE = "totalItems";

    String ENTRIES_VALUE = "entries";

    String ENTRY_VALUE = "entry";

    // SITES
    String SITE_VALUE = "site";

    String FOLDERID_VALUE = "folderId";

    String DOCUMENTLIBRARY_VALUE = "documentLibrary";

    // Networks
    String NETWORK_VALUE = "network";

    String ENABLED_VALUE = "enabled";

    String QUOTAS_VALUE = "quotas";

    String LIMIT_VALUE = "limit";

    String USAGE_VALUE = "usage";

    String ACCOUNTCLASSNAME_VALUE = "accountClassName";

    String ACCOUNTTYPE_VALUE = "accountType";

    String ACCOUNTCLASSDISPLAYNAME_VALUE = "accountClassDisplayName";

    // Comments
    String CREATEDAT_VALUE = "createdAt";

    String CREATEDBY_VALUE = "createdBy";

    String CREATOR_VALUE = "creator";

    String MODIFIEDAT_VALUE = "modifiedAt";

    String MODIFIEDBY_VALUE = "modifiedBy";

    String CANEDIT_VALUE = "canEdit";

    String CANDELETE_VALUE = "canDelete";

    String EDITED_VALUE = "edited";

    // Tags
    String TAG_VALUE = "tag";

    // RATINGS
    String LIKES_VALUE = "likes";

    String AGGREGATE_VALUE = "aggregate";

    String NUMBEROFRATINGS_VALUE = "numberOfRatings";

    String RATEDAT_VALUE = "ratedAt";

    String MYRATING_VALUE = "myRating";

    // ACTIVITIES
    String SITEID_VALUE = "siteId";

    String FEEDPERSONID_VALUE = "feedPersonId";

    String POSTPERSONID_VALUE = "postPersonId";

    String ACTIVITYTYPE_VALUE = "activityType";

    String ACTIVITYSUMMARY_VALUE = "activitySummary";

    String OBJECTID_VALUE = "objectId";

    String NETWORKID_VALUE = "networkId";

    String POSTEDAT_VALUE = "postedAt";

    // REGISTRATION
    String CLOUD_EMAIL_VALUE = "email";

    String CLOUD_FIRSTNAME_VALUE = "firstName";

    String CLOUD_LASTNAME_VALUE = "lastName";

    String CLOUD_PASSWORD_VALUE = "password";

    String CLOUD_SOURCE_VALUE = "source";

    String CLOUD_SOURCEURL_VALUE = "sourceUrl";

    String CLOUD_KEY = "key";

    String CLOUD_REGISTRATIONDATE = "registrationDate";

    String CLOUD_REGISTRATION = "registration";

    String CLOUD_REGISTRATION_KEY = "key";

    String CLOUD_ISREGISTERED = "isRegistered";

    String CLOUD_ISACTIVATED = "isActivated";

    String CLOUD_ISPREREGISTERED = "isPreRegistered";

    // NETWORKS
    String SUBSCRIPTIONLEVEL_VALUE = "subscriptionLevel";

    String PAIDNETWORK_VALUE = "paidNetwork";

    String HOMENETWORK_VALUE = "homeNetwork";

    String ISENABLED_VALUE = "isEnabled";

    // PEOPLE
    String AVATARID_VALUE = "avatarId";

    String JOBTITLE_VALUE = "jobTitle";

    String DESCRIPTION_VALUE = "description";

    String SKYPEID_VALUE = "skypeId";

    String INSTANTMESSAGEID_VALUE = "instantMessageId";

    String GOOGLEID_VALUE = "googleId";

    // COMPANY
    String COMPANYADDRESS1_VALUE = "address1";

    String COMPANYADDRESS2_VALUE = "address2";

    String COMPANYADDRESS3_VALUE = "address3";

    String COMPANYPOSTCODE_VALUE = "postcode";

    String COMPANYTELEPHONE_VALUE = "telephone";

    String COMPANYFAX_VALUE = "fax";

    String COMPANYEMAIL_VALUE = "email";

    // ERROR
    String ERROR_VALUE = "error";

    String ERRORDESCRIPTION_VALUE = "error_description";

    String STATUSCODE_VALUE = "statusCode";

    String BRIEFSUMMARY_VALUE = "briefSummary";

    String STACKTRACE_VALUE = "stackTrace";

    String DESCRIPTIONURL_VALUE = "descriptionURL";

    // FAVORITES
    String TARGET_VALUE = "target";

    String FILE_VALUE = "file";

    String FOLDER_VALUE = "folder";

    String VERSIONLABEL_VALUE = "versionLabel";

    String SIZEINBYTES_VALUE = "sizeInBytes";

    String MIMETYPE_VALUE = "mimeType";

    // WORKFLOW
    String KEY_VALUE = "key";

    String CATEGORY_VALUE = "category";

    String DEPLOYMENTID_VALUE = "deploymentId";

    String STARTFORMRESOURCEKEY_VALUE = "startFormResourceKey";

    String GRAPHICNOTATIONDEFINED_VALUE = "graphicNotationDefined";
    
    String STARTEDAT_VALUE = "startedAt";
    
    String DUEAT_VALUE = "dueAt";

    String PROCESSDEFINITIONID_VALUE = "processDefinitionId";

    String PROCESSID_VALUE = "processId";

    String PRIORITY_VALUE = "priority";

    String ASSIGNEE_VALUE = "assignee";

    String WHERE_VALUE = "where";
    
    String COMPLETED_VALUE = "completed";

    String ANY_VALUE = "any";

    String PROCESSINSTANCEID_VALUE = "processInstanceId";

    String ENDEDAT_VALUE = "endedAt";

    String VARIABLES_VALUE = "variables";

    String ACTIVE_VALUE = "active";

    String SELECT_VALUE = "select";

    String RESOLVED_VALUE = "resolved";

    String TRANSITIONS_VALUE = "transitions";

    String ACTIVITYDEFINITIONID_VALUE = "activityDefinitionId";

    String FORMRESOURCEKEY_VALUE = "formResourceKey";

    String VALUE = "value";

    String CLAIMED_VALUE = "claimed";
    
    String UNCLAIMED_VALUE = "unclaimed";

    String SCOPE_VALUE = "scope";
    
    String LOCAL_VALUE = "local";

    String STARTUSERID_VALUE = "startUserId";

    String DURATIONINMS_VALUE = "durationInMs";

    String ENDACTIVITYID_VALUE = "endActivityId";

    String PROCESSDEFINITIONKEY_VALUE = "processDefinitionKey";

    String STARTACTIVITYID_VALUE = "startActivityId";

    String CANDIDATEUSER_VALUE = "candidateUser";

    String DELETEREASON_VALUE = "deleteReason";
    
    String INCLUDEVARIABLES_VALUE = "includeVariables";

    String PROCESSVARIABLES_VALUE = "processVariables";
}
